# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBM/Deep.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name MRTG-Config
BuildRequires: unzip
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Perl module for parsing MRTG configuration files
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SS/SSCAFFIDI/%module_name-%module_version.zip
BuildArch: noarch

%description
Ever have the need to parse an MRTG config file? I have. I needed.to parse lots and lots of them. Using the functions built-in to 
`MRTG_lib' was too slow, too complex, and used too much RAM and CPU 
time for my poor web server to handle - and the data structures
`MRTG_lib' built were *way* more complex than I needed.

MRTG::Config can load and parse MRTG and MRTG-style confiuguration 
files very quickly, and the parsed directives, targets and values
can be located, extracted, and manipulated through an OO interface.

This module is intended to focus on correctly parsing the *format*
of an MRTG configuration, regardless of whether or not the directives
and values, etc. are *valid* for MRTG. I am using both the parsing
behavior of `MRTG_lib''s `readcfg()' function and the description of the
format on the MRTG website as my guidelines on how to correctly parse
these configuration files. I am still a short way off that goal, but
this module is currently being used in a production environment with
great success!


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/M*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

